Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.anchor
Class CitationAnchor

    java.lang.Object
      org.teleal.common.xml.DOMElement<org.teleal.common.xhtml.XHTMLElement,org.teleal.common.xhtml.XHTMLElement>
          org.teleal.common.xhtml.XHTMLElement
              org.teleal.common.xhtml.Anchor
                  org.teleal.lemma.anchor.CitationAnchor

    public class CitationAnchor

extends org.teleal.common.xhtml.Anchor

Adapter which extends the regular DOM anchor, provides access to common options.

Author:
  Christian Bauer

Nested Class Summary
`static class` | `CitationAnchor.OptionKey` The most common option (keys) of citation anchors.

Nested classes/interfaces inherited from class org.teleal.common.xml.DOMElement
`org.teleal.common.xml.DOMElement.ArrayBuilder<T extends org.teleal.common.xml.DOMElement>, org.teleal.common.xml.DOMElement.Builder<T extends org.teleal.common.xml.DOMElement>`

Field Summary

Fields inherited from class org.teleal.common.xhtml.XHTMLElement
`XPATH_PREFIX`

Fields inherited from class org.teleal.common.xml.DOMElement
`CHILD_BUILDER, PARENT_BUILDER`

Constructor Summary
`CitationAnchor(XPath xpath, org.teleal.common.xhtml.Anchor anchor)`
`CitationAnchor(XPath xpath, Element element)`

Method Summary
`static CitationAnchor[]` | `findCitationAnchors(XPath xpath, org.teleal.common.xhtml.XHTMLElement start, String type)`
`static CitationAnchor[]` | `findCitationAnchors(XPath xpath, org.teleal.common.xhtml.XHTML input, String type)`
`AnchorAddress` | `getAddress()`
`org.teleal.common.xhtml.Option` | `getOption(CitationAnchor.OptionKey key)`
`String` | `getOutputClasses()`
`String` | `getOutputIdentifier()`

Methods inherited from class org.teleal.common.xhtml.Anchor
`getHref, getType, setHref, setType, toString`

Methods inherited from class org.teleal.common.xhtml.XHTMLElement
`createChild, createChildBuilder, createParentBuilder, findAllAnchors, findAllAnchors, findChildren, findChildrenWithClass, getAttribute, getChildren, getClasses, getConstant, getFirstChild, getId, getOption, getOptions, getTitle, prefix, setAttribute, setAttribute, setClasses, setClasses, setContent, setId, setTitle`

Methods inherited from class org.teleal.common.xml.DOMElement
`adoptOrImport, appendChild, createChild, createChild, findChildren, findChildWithIdentifier, getAttribute, getChildren, getChildren, getContent, getElementName, getFirstChild, getParent, getRequiredChild, getW3CElement, getXpath, getXPathChildElement, getXPathChildElements, getXPathElements, getXPathParentElement, getXPathParentElements, getXPathResult, getXPathResult, getXPathString, removeChild, removeChildren, replaceChild, replaceEqualChild, toSimpleXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CitationAnchor

    public CitationAnchor(XPath xpath,
                          org.teleal.common.xhtml.Anchor anchor)

### CitationAnchor

    public CitationAnchor(XPath xpath,
                          Element element)

Method Detail

### getAddress

    public AnchorAddress getAddress()

### getOption

    public org.teleal.common.xhtml.Option getOption(CitationAnchor.OptionKey key)

### getOutputIdentifier

    public String getOutputIdentifier()

  Returns:
    The value of the `id` attribute of the anchor, or if not present the id of the given address.

### getOutputClasses

    public String getOutputClasses()

  Returns:
    Any given `class` class attribute value (if present), in addition the name of the address scheme.

### findCitationAnchors

    public static CitationAnchor[] findCitationAnchors(XPath xpath,
                                                       org.teleal.common.xhtml.XHTML input,
                                                       String type)

### findCitationAnchors

    public static CitationAnchor[] findCitationAnchors(XPath xpath,
                                                       org.teleal.common.xhtml.XHTMLElement start,
                                                       String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.